## Modulemd.SubdocumentInfo Modulemd.SubdocumentInfo — Stores information regarding a YAML subdocument in a stream. |

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | modulemd_subdocument_info_get_yaml ()
const GError * | modulemd_subdocument_info_get_gerror ()

## Types and Values

#define | MODULEMD_TYPE_SUBDOCUMENT_INFO
| ModulemdSubdocumentInfo

## Object Hierarchy

        GObject
        ╰── ModulemdSubdocumentInfo

## Description

## Functions

### modulemd_subdocument_info_get_yaml ()

    const gchar *
    modulemd_subdocument_info_get_yaml (ModulemdSubdocumentInfo *self);

#### Parameters

self | This ModulemdSubdocumentInfo object. |

#### Returns

The associated YAML subdocument.

[transfer none]

Since: 2.0

### modulemd_subdocument_info_get_gerror ()

    const GError *
    modulemd_subdocument_info_get_gerror (ModulemdSubdocumentInfo *self);

#### Parameters

self | This ModulemdSubdocumentInfo object. |

#### Returns

A GError containing an error code and message about why this subdocument failed parsing.

[transfer none]

Since: 2.0

## Types and Values

### MODULEMD_TYPE_SUBDOCUMENT_INFO

    #define MODULEMD_TYPE_SUBDOCUMENT_INFO (modulemd_subdocument_info_get_type ())

### ModulemdSubdocumentInfo

    typedef struct _ModulemdSubdocumentInfo ModulemdSubdocumentInfo;